Subject: [RFC PATCH 5/7] ARM: davinci: i2c: add OF support

From: [email-masked] (Heiko Schocher)
Date: Tue, 24 Jan 2012 08:18:28 +0100

Hello Sylwester,

Sylwester Nawrocki wrote:
> Hello,
> 
> On 01/23/2012 09:56 AM, Heiko Schocher wrote:
>> add of support for the davinci i2c driver.
>>
>> Signed-off-by: Heiko Schocher<[email-masked]>
>> Cc: davinci-linux-open-source at linux.davincidsp.com
>> Cc: linux-arm-kernel at lists.infradead.org
>> Cc: devicetree-discuss at lists.ozlabs.org
>> Cc: linux-i2c at vger.kernel.org
>> Cc: Ben Dooks<[email-masked]>
>> Cc: Wolfram Sang<[email-masked]>
>> Cc: Grant Likely<[email-masked]>
>> Cc: Sekhar Nori<[email-masked]>
>> Cc: Wolfgang Denk<[email-masked]>
>> ---
>>   .../devicetree/bindings/arm/davinci/i2c.txt        |   39 ++++++++++++++++++
>>   drivers/i2c/busses/i2c-davinci.c                   |   43 ++++++++++++++++++++
>>   2 files changed, 82 insertions(+), 0 deletions(-)
>>   create mode 100644 Documentation/devicetree/bindings/arm/davinci/i2c.txt
>>
>> diff --git a/Documentation/devicetree/bindings/arm/davinci/i2c.txt b/Documentation/devicetree/bindings/arm/davinci/i2c.txt
>> new file mode 100644
>> index 0000000..94ec670
>> --- /dev/null
>> +++ b/Documentation/devicetree/bindings/arm/davinci/i2c.txt
>> @@ -0,0 +1,39 @@
>> +* Texas Instruments Davinci I2C
>> +
>> +This file provides information, what the device node for the
>> +davinci i2c interface contain.
>> +
>> +Required properties:
>> +- compatible: "ti,davinci-i2c";
>> +- reg : Offset and length of the register set for the device
>> +- id: id of the controller
> 
> I was wondering whether we're supposed to use "cell-index" property name
> for such a device instance index? or doesn't it really matter and "id" is 
> fine? Such an IP instance index seems quite common so I thought it could
> be easier to follow to use standard name.

I just copied the "name" from "struct davinci_nand_pdata" ... it is
used in the davinci_nand driver as chipselect ... maybe it is better
I rename this to "chipselect" ?

bye,
Heiko
-- 
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany